Bug 1473698 - [Doc][ceilometer] Add telemetry usage examples, describe alarm types.
[Doc][ceilometer] Add telemetry usage examples, describe alarm types.
Product: Red Hat OpenStack
Classification: Red Hat
Component: documentation (Show other bugs)
10.0 (Newton)
Unspecified Unspecified
low Severity low
: ---
: 12.0 (Pike)
Assigned To: Martin Lopes
Deepti Navale
: Triaged
Depends On:
  Show dependency treegraph
Reported: 2017-07-21 08:42 EDT by KOSAL RAJ I
Modified: 2018-02-19 20:50 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2018-02-19 20:50:34 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description KOSAL RAJ I 2017-07-21 08:42:37 EDT
Description of problem:

Can we have telemetry example in downstream as well.

Please follow the following upstream doc,


Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:

Actual results:

Expected results:

Additional info:
Comment 1 Martin Lopes 2017-07-25 00:20:29 EDT
Reviewed the existing guide: https://access.redhat.com/documentation/en-us/red_hat_openstack_platform/10/html-single/logging_monitoring_and_troubleshooting_guide/#monitoring_using_the_telemetry_service

Identified a few gaps that should be documented:

* Describe alarm dimensioning
* Describe composite alarms
* Describe alarm types:
--type event
--type composite

These should be added to the OSP11 guide, and backported to OSP10, where appropriate.
Comment 2 Martin Lopes 2017-07-25 01:45:14 EDT
Identified use case in BZ#1467317.

Created draft text for `--type event`.

This alarm raises an event when a particular instance is shutdown:

aodh alarm create \
	 --type event \
	 --name instance_off \
	 --description 'event_instance_power_off' \
	 --event-type "compute.instance.power_off.*" \
	 --enable True \
	 --query "traits.instance_id=string::ac917539-fa21-42fb-bac6-c3a795f056e" \
	 --alarm-action 'log://' \
	 --ok-action 'log://' \
	 --insufficient-data-action 'log://' \
	 --resource-type instance
Comment 3 Martin Lopes 2017-07-25 21:35:47 EDT
also elaborate on -alarm-action options, such as a webhook URL
Comment 4 Martin Lopes 2017-07-26 22:40:01 EDT
Emailed questions to SME.
Comment 5 Martin Lopes 2017-08-02 01:46:04 EDT
Also update examples to use the `ge` operator, where appropriate.
Comment 6 Martin Lopes 2017-08-03 18:48:43 EDT
Update: don't cover composite alarms
Comment 9 Martin Lopes 2017-08-08 00:55:53 EDT
See also https://access.redhat.com/solutions/2953931
Comment 12 Martin Lopes 2017-11-15 23:44:12 EST
See also https://access.redhat.com/solutions/2953041
Comment 14 Martin Lopes 2017-11-16 19:31:25 EST
Adding in updates from tech review
Comment 18 Deepti Navale 2018-02-19 17:37:40 EST
Hey Martin, 

Looks good overall. Included a couple of minor comments in gitlab. Feel free to merge once updated. 

Comment 19 Martin Lopes 2018-02-19 20:22:28 EST
Added updates from peer review.

Note You need to log in before you can comment on or make changes to this bug.